Status: Closed

Priority: Normal

Category:

Customer: AUDI Product Issue https://www.cip.audi.de/jira/browse/ACO
Numbers: RE-9683

Department: AEV Affected Products: ADTF 3.3.3

Requester's Priority: Normal Platform: Ubuntu 16.04 64bit, Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::FilterSDK

Resolution: Product Issue Opened FAQ Links:

Description

Supportanfrage

Gibt es in ADTF3.x irgendeine Moglichkeit ADTF Plugins zu versionieren?
Also dhnliche wie in ADTF2:

ADTF_FILTER_VERSION (OID_ADTF_BFFT_FILTER_DEF,
ADTF_BFFT_FILTER_DESC,
adtf::0OBJCAT_Tool,
ADTF_BFFT_FILTER_VERSION_SUB_NAME,
ADTF_BFFT_FILTER_VERSION_Major,
ADTF_BFFT_FILTER_VERSION_Minor,
ADTF_BFFT_FILTER_VERSION_Build,
ADTF_BFFT_FILTER_VERSION_LABEL
)i

Lésung

Statt ADTF_PLUGIN kann ADTF_PLUGIN_VERSION verwendet werden.
Zur Visualisierung via Plugin Description wurde ACORE-9683 als Anforderung aufgenommen.

History

#1 - 2018-09-14 08:48 - hidden

- Project changed from Public Support to 11

- Subject changed from Versionierung von ADTF3.x Filtern to How to version filter in ADTF 3.x
- Status changed from New to In Progress

- Topic set to ADTF::FilterSDK

#2 - 2018-09-14 09:01 - hidden

@Martin: Das miisste doch Uiber den ADTF_ADDITONAL_VERSION_TYPE setzbar sein oder ?

#3 - 2018-09-17 13:55 - hidden

Ja auch, oder einfacher tiber ADTF_PLUGIN_VERSION statt ADTF_PLUGIN.

#4 - 2018-09-17 14:37 - hidden

Wird diese Versionnummer dann irgendwo im CE angezeigt? Ich habe da kein Feld gefunden....

#5 - 2018-09-18 13:29 - hidden

- Description updated
- Status changed from In Progress to Customer Feedback Required
- Resolution set to Product Issue Opened
- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9683
Hallo Raphael,
Wird diese Versionnummer dann irgendwo im CE angezeigt?

Nein, denn der CE Iadt keine Plugins sondern die Plugin Descriptions, darin ist die Info nicht vorhanden bzw. es gibt keine Anforderung dazu.
Ich habe daftr ein Ticket erstellt -> ACORE-9683

#6 - 2018-09-18 13:31 - hidden

- Description updated

#7 - 2018-09-24 09:03 - hidden

- Status changed from Customer Feedback Required to To Be Closed

#8 - 2018-10-09 13:32 - hidden
- Project changed from 11 to Public Support
- Status changed from To Be Closed to Closed

#9 - 2018-10-09 13:32 - hidden

- Private changed from Yes to No
